eID middleware |

# be.portugal.eid.PTEID_Object Class Reference

Base class for all classes used in the SDK. More...

Inheritance diagram for be.portugal.eid.PTEID_Object:

List of all members.

## Public Member Functions
synchronized void | delete ()
## Protected Member Functions
| PTEID_Object (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Object obj)
## Protected Attributes
boolean | swigCMemOwn

## Detailed Description

Base class for all classes used in the SDK.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Object.PTEID_Object | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

References be.portugal.eid.PTEID_Object.swigCMemOwn.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_Object.delete | ( |  | ) |

Reimplemented in be.portugal.eid.PTEID_Biometric, be.portugal.eid.PTEID_ByteArray, be.portugal.eid.PTEID_Card, be.portugal.eid.PTEID_CardVersionInfo, be.portugal.eid.PTEID_Certificate, be.portugal.eid.PTEID_Certificates, be.portugal.eid.PTEID_Config, be.portugal.eid.PTEID_Crl, be.portugal.eid.PTEID_Crypto, be.portugal.eid.PTEID_EId, be.portugal.eid.PTEID_EIDCard, be.portugal.eid.PTEID_EIdFullDoc, be.portugal.eid.PTEID_ForeignerCard, be.portugal.eid.PTEID_KidsCard, be.portugal.eid.PTEID_MemoryCard, be.portugal.eid.PTEID_OcspResponse, be.portugal.eid.PTEID_Picture, be.portugal.eid.PTEID_Pin, be.portugal.eid.PTEID_Pins, be.portugal.eid.PTEID_ReaderContext, be.portugal.eid.PTEID_ReaderSet, be.portugal.eid.PTEID_SISCard, be.portugal.eid.PTEID_SisFullDoc, be.portugal.eid.PTEID_SisId, be.portugal.eid.PTEID_SmartCard, and be.portugal.eid.PTEID_XMLDoc.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Object.finalize | ( |  | ) | `[protected]`

Reimplemented in be.portugal.eid.PTEID_Biometric, be.portugal.eid.PTEID_ByteArray, be.portugal.eid.PTEID_Card, be.portugal.eid.PTEID_CardVersionInfo, be.portugal.eid.PTEID_Certificate, be.portugal.eid.PTEID_Certificates, be.portugal.eid.PTEID_Config, be.portugal.eid.PTEID_Crl, be.portugal.eid.PTEID_Crypto, be.portugal.eid.PTEID_EId, be.portugal.eid.PTEID_EIDCard, be.portugal.eid.PTEID_EIdFullDoc, be.portugal.eid.PTEID_ForeignerCard, be.portugal.eid.PTEID_KidsCard, be.portugal.eid.PTEID_MemoryCard, be.portugal.eid.PTEID_OcspResponse, be.portugal.eid.PTEID_Picture, be.portugal.eid.PTEID_Pin, be.portugal.eid.PTEID_Pins, be.portugal.eid.PTEID_ReaderContext, be.portugal.eid.PTEID_ReaderSet, be.portugal.eid.PTEID_SISCard, be.portugal.eid.PTEID_SisFullDoc, be.portugal.eid.PTEID_SisId, be.portugal.eid.PTEID_SmartCard, and be.portugal.eid.PTEID_XMLDoc.

static long be.portugal.eid.PTEID_Object.getCPtr | ( | PTEID_Object | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Object.swigCPtr.

## Member Data Documentation

boolean be.portugal.eid.PTEID_Object.swigCMemOwn`[protected]`

Referenced by be.portugal.eid.PTEID_Object.PTEID_Object(), be.portugal.eid.PTEID_XMLDoc.delete(), be.portugal.eid.PTEID_SmartCard.delete(), be.portugal.eid.PTEID_SisId.delete(), be.portugal.eid.PTEID_SisFullDoc.delete(), be.portugal.eid.PTEID_SISCard.delete(), be.portugal.eid.PTEID_ReaderSet.delete(), be.portugal.eid.PTEID_ReaderContext.delete(), be.portugal.eid.PTEID_Pins.delete(), be.portugal.eid.PTEID_Pin.delete(), be.portugal.eid.PTEID_Picture.delete(), be.portugal.eid.PTEID_OcspResponse.delete(), be.portugal.eid.PTEID_Object.delete(), be.portugal.eid.PTEID_MemoryCard.delete(), be.portugal.eid.PTEID_KidsCard.delete(), be.portugal.eid.PTEID_ForeignerCard.delete(), be.portugal.eid.PTEID_EIdFullDoc.delete(), be.portugal.eid.PTEID_EIDCard.delete(), be.portugal.eid.PTEID_EId.delete(), be.portugal.eid.PTEID_Crypto.delete(), be.portugal.eid.PTEID_Crl.delete(), be.portugal.eid.PTEID_Config.delete(), be.portugal.eid.PTEID_Certificates.delete(), be.portugal.eid.PTEID_Certificate.delete(), be.portugal.eid.PTEID_CardVersionInfo.delete(), be.portugal.eid.PTEID_Card.delete(), be.portugal.eid.PTEID_ByteArray.delete(), and be.portugal.eid.PTEID_Biometric.delete().